- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::Active_Policy_Strategies Class Reference

`#include <Active_Policy_Strategies.h>`

Collaboration diagram for TAO::Portable_Server::Active_Policy_Strategies:

[legend]
List of all members.

## Public Member Functions
| Active_Policy_Strategies (void)
void | update (Cached_Policies &policies, TAO_Root_POA *poa)
void | cleanup ()
ThreadStrategy * | thread_strategy (void) const
RequestProcessingStrategy * | request_processing_strategy (void) const
IdAssignmentStrategy * | id_assignment_strategy (void) const
IdUniquenessStrategy * | id_uniqueness_strategy (void) const
LifespanStrategy * | lifespan_strategy (void) const
ImplicitActivationStrategy * | implicit_activation_strategy (void) const
ServantRetentionStrategy * | servant_retention_strategy (void) const
## Private Attributes
ThreadStrategy * | thread_strategy_
RequestProcessingStrategy * | request_processing_strategy_
IdAssignmentStrategy * | id_assignment_strategy_
LifespanStrategy * | lifespan_strategy_
IdUniquenessStrategy * | id_uniqueness_strategy_
ImplicitActivationStrategy * | implicit_activation_strategy_
ServantRetentionStrategy * | servant_retention_strategy_
ThreadStrategyFactory * | thread_strategy_factory_
ServantRetentionStrategyFactory * | servant_retention_strategy_factory_
RequestProcessingStrategyFactory * | request_processing_strategy_factory_
LifespanStrategyFactory * | lifespan_strategy_factory_
ImplicitActivationStrategyFactory * | implicit_activation_strategy_factory_
IdUniquenessStrategyFactory * | id_uniqueness_strategy_factory_
IdAssignmentStrategyFactory * | id_assignment_strategy_factory_

## Detailed Description

This class stores the active policy strategies used for a certain POA.

## Constructor & Destructor Documentation

TAO::Portable_Server::Active_Policy_Strategies::Active_Policy_Strategies | ( | void |  | ) |

## Member Function Documentation

void TAO::Portable_Server::Active_Policy_Strategies::cleanup | ( |  | ) |

ACE_INLINE IdAssignmentStrategy * TAO::Portable_Server::Active_Policy_Strategies::id_assignment_strategy | ( | void |  | ) | const

ACE_INLINE IdUniquenessStrategy * TAO::Portable_Server::Active_Policy_Strategies::id_uniqueness_strategy | ( | void |  | ) | const

ACE_INLINE ImplicitActivationStrategy * TAO::Portable_Server::Active_Policy_Strategies::implicit_activation_strategy | ( | void |  | ) | const

ACE_INLINE LifespanStrategy * TAO::Portable_Server::Active_Policy_Strategies::lifespan_strategy | ( | void |  | ) | const

ACE_INLINE RequestProcessingStrategy * TAO::Portable_Server::Active_Policy_Strategies::request_processing_strategy | ( | void |  | ) | const

ACE_INLINE ServantRetentionStrategy * TAO::Portable_Server::Active_Policy_Strategies::servant_retention_strategy | ( | void |  | ) | const

ACE_INLINE ThreadStrategy * TAO::Portable_Server::Active_Policy_Strategies::thread_strategy | ( | void |  | ) | const

void TAO::Portable_Server::Active_Policy_Strategies::update | ( | Cached_Policies & | policies,
|  | TAO_Root_POA * | poa |
| ) |  |  |

## Member Data Documentation

IdAssignmentStrategy* TAO::Portable_Server::Active_Policy_Strategies::id_assignment_strategy_`[private]`

IdAssignmentStrategyFactory* TAO::Portable_Server::Active_Policy_Strategies::id_assignment_strategy_factory_`[private]`

IdUniquenessStrategy* TAO::Portable_Server::Active_Policy_Strategies::id_uniqueness_strategy_`[private]`

IdUniquenessStrategyFactory* TAO::Portable_Server::Active_Policy_Strategies::id_uniqueness_strategy_factory_`[private]`

ImplicitActivationStrategy* TAO::Portable_Server::Active_Policy_Strategies::implicit_activation_strategy_`[private]`

ImplicitActivationStrategyFactory* TAO::Portable_Server::Active_Policy_Strategies::implicit_activation_strategy_factory_`[private]`

LifespanStrategy* TAO::Portable_Server::Active_Policy_Strategies::lifespan_strategy_`[private]`

LifespanStrategyFactory* TAO::Portable_Server::Active_Policy_Strategies::lifespan_strategy_factory_`[private]`

RequestProcessingStrategy* TAO::Portable_Server::Active_Policy_Strategies::request_processing_strategy_`[private]`

RequestProcessingStrategyFactory* TAO::Portable_Server::Active_Policy_Strategies::request_processing_strategy_factory_`[private]`

ServantRetentionStrategy* TAO::Portable_Server::Active_Policy_Strategies::servant_retention_strategy_`[private]`

ServantRetentionStrategyFactory* TAO::Portable_Server::Active_Policy_Strategies::servant_retention_strategy_factory_`[private]`

ThreadStrategy* TAO::Portable_Server::Active_Policy_Strategies::thread_strategy_`[private]`

ThreadStrategyFactory* TAO::Portable_Server::Active_Policy_Strategies::thread_strategy_factory_`[private]`

The documentation for this class was generated from the following files:

- Active_Policy_Strategies.h
- Active_Policy_Strategies.cpp
- Active_Policy_Strategies.inl